EMF::EMRPOLYGON16(3)

NAME
EMF::EMRPOLYGON16 - EMF Filled Polygon16.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRPOLYLINE16.

  Public Member Functions

EMRPOLYGON16 (const RECTL *bounds, const POINT *points, INT16 n)
EMRPOLYGON16 (const RECTL *bounds, const POINT16 *points, INT16 n)
EMRPOLYGON16 (DATASTREAM &ds)
~EMRPOLYGON16 ()
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Filled Polygon16.

Draw a filled polygon (with 16-bit points).

Constructor & Destructor Documentation

  EMF::EMRPOLYGON16::EMRPOLYGON16 (const RECTL * bounds, const POINT * points, INT16 n) [inline]

Parameters:
    bounds overall bounding box of polygon.
    points array of polygon vertices.
    n number of vertices in points.

  EMF::EMRPOLYGON16::EMRPOLYGON16 (const RECTL * bounds, const POINT16 * points, INT16 n) [inline]
Additional constructor which takes a POINT16 array.

Parameters:
    bounds overall bounding box of polygon.
    points array of polygon vertices.
    n number of vertices in points.

  EMF::EMRPOLYGON16::EMRPOLYGON16 (DATASTREAM & ds) [inline]
Construct a Polygon record from the input stream.

Parameters:
    ds Metafile datastream.

  EMF::EMRPOLYGON16::~EMRPOLYGON16 () [inline]
Destructor frees a copy of the points it buffered.

Member Function Documentation

  void EMF::EMRPOLYGON16::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRPOLYGON16::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRPOLYGON16::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.